Crystal Space: cswinCallStackHelper Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# cswinCallStackHelper Class Reference

Call stack creation helper (Win32-specific). More...

`#include <csutil/win32/callstack.h>`

List of all members.

## Static Public Member Functions
static csCallStack * | CreateCallStack (HANDLE hProc, HANDLE hThread, CONTEXT &context, int skip=0, bool fast=false)
| Create a call stack.

## Detailed Description

Call stack creation helper (Win32-specific).

Remarks:
  This class provides functionality specific to the Win32 platform. To ensure that code using this functionality compiles properly on all other platforms, the use of the class and inclusion of the header file should be surrounded by appropriate '#if defined(CS_PLATFORM_WIN32) ... #endif' statements.

Definition at line 38 of file callstack.h.

## Member Function Documentation

static csCallStack* cswinCallStackHelper::CreateCallStack | ( | HANDLE | hProc,
|  | HANDLE | hThread,
|  | CONTEXT & | context,
|  | int | skip = `0`,
|  | bool | fast = `false` |
| ) |  |  | `[static]`

Create a call stack.

Works similar to csCallStackHelper::CreateCallStack(), with the difference that you can provide some Win32-specific arguments here.

Parameters:

  | hProc | The process for which the call stack is created.
  | hThread | The thread for which the call stack is created.
  | context | Context information.
  | skip | The number of calls on the top of the stack to remove from the returned call stack. This can be used if e.g. the call stack is created from some helper function and the helper function itself should not appear in the stack.
  | fast | Flag whether a fast call stack creation should be preferred (usually at the expense of retrieved information).

Returns:
  A call stack object.

The documentation for this class was generated from the following file:

- csutil/win32/callstack.h